<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1"/>
<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-2"/>
<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-3"/>
<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-4"/>
<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-5"/>
<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-7"/>
<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-8"/>


<TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-1" TCL_ID="-1"/>
<TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-4" TCL_ID="-2"/>

<THIRD_PARTY_SERVER SERVER_ID="-1" NAME="server" URL="http://localhost:9080/jenkins" CREATED_BY="bob" CREATED_ON="2014-05-15"/>
<TEST_AUTOMATION_SERVER SERVER_ID="-1" KIND="jenkins" />


<PROJECT PROJECT_ID="-1" ATTACHMENT_LIST_ID="-2" CREATED_ON="2012-05-05" CREATED_BY="dbunit" NAME="" TA_SERVER_ID="-1" TCL_ID="-1"/>
<PROJECT PROJECT_ID="-2" ATTACHMENT_LIST_ID="-3" CREATED_ON="2012-01-01" CREATED_BY="dbunit" NAME="" TA_SERVER_ID="-1" TCL_ID="-2"/>

<TEST_AUTOMATION_PROJECT TA_PROJECT_ID="-1" REMOTE_NAME="job-1" SERVER_ID="-1" LABEL="theproject1 for TM 1" TM_PROJECT_ID="-1"/>
<TEST_AUTOMATION_PROJECT TA_PROJECT_ID="-2" REMOTE_NAME="job-2" SERVER_ID="-1" LABEL="server 2" TM_PROJECT_ID="-1"/>
<TEST_AUTOMATION_PROJECT TA_PROJECT_ID="-3" REMOTE_NAME="job-1" SERVER_ID="-1" LABEL="theproject1 for TM 2" TM_PROJECT_ID="-2"/>
<TEST_AUTOMATION_PROJECT TA_PROJECT_ID="-4" REMOTE_NAME="job-3" SERVER_ID="-1" LABEL="YOP" TM_PROJECT_ID="-2"/>
<AUTOMATED_TEST TEST_ID="-1" NAME="at1" PROJECT_ID="-1"/>

<AUTOMATED_TEST TEST_ID="-2" NAME="at2" PROJECT_ID="-2"/>


<CUSTOM_FIELD LABEL="" CODE="" FIELD_TYPE="CF" NAME="cuf1" INPUT_TYPE="PLAIN_TEXT" CF_ID="-1" />
<CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_CASE" CFB_ID="-1" POSITION="1" BOUND_PROJECT_ID="-1" CF_ID="-1"/>
<CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_CASE" CFB_ID="-2" POSITION="1" BOUND_PROJECT_ID="-2" CF_ID="-1"/>

<CUSTOM_FIELD_BINDING BOUND_ENTITY="TESTCASE_FOLDER" CFB_ID="-5" POSITION="1" BOUND_PROJECT_ID="-1" CF_ID="-1"/>
<CUSTOM_FIELD_BINDING BOUND_ENTITY="TESTCASE_FOLDER" CFB_ID="-6" POSITION="1" BOUND_PROJECT_ID="-2" CF_ID="-1"/>

<CUSTOM_FIELD LABEL="" CODE="" FIELD_TYPE="CF" NAME="cuf2" INPUT_TYPE="PLAIN_TEXT" CF_ID="-2"/>
<CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_CASE" CFB_ID="-3" POSITION="2" BOUND_PROJECT_ID="-1" CF_ID="-2"/>
<CUSTOM_FIELD_BINDING BOUND_ENTITY="TESTCASE_FOLDER" CFB_ID="-7" POSITION="2" BOUND_PROJECT_ID="-1" CF_ID="-2"/>

<CUSTOM_FIELD LABEL="" CODE="" FIELD_TYPE="CF" NAME="cuf3" INPUT_TYPE="PLAIN_TEXT" CF_ID="-3" DEFAULT_VALUE="default" OPTIONAL="false"/>
<CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_CASE" CFB_ID="-4" POSITION="2" BOUND_PROJECT_ID="-2" CF_ID="-3" />

<!-- FOLDER 1 -->
<TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-5" TCLN_ID="-1" CREATED_ON="2012-03-02" CREATED_BY="dbunit" NAME="folder 1" PROJECT_ID="-1"/>
<TEST_CASE_FOLDER TCLN_ID="-1"/>
<TEST_CASE_LIBRARY_CONTENT CONTENT_ID="-1" LIBRARY_ID="-1" CONTENT_ORDER="0"/>
<CUSTOM_FIELD_VALUE CFV_ID="-3" BOUND_ENTITY_ID="-1" BOUND_ENTITY_TYPE="TESTCASE_FOLDER" CFB_ID="-5" VALUE="folder-1-cuf1" FIELD_TYPE="CF" CF_ID="-1"/>
<CUSTOM_FIELD_VALUE CFV_ID="-4" BOUND_ENTITY_ID="-1" BOUND_ENTITY_TYPE="TESTCASE_FOLDER" CFB_ID="-7" VALUE="folder-1-cuf2" FIELD_TYPE="CF" CF_ID="-2"/>

<!-- TEST CASE 10 -->
<TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-7" TCLN_ID="-10" CREATED_ON="2012-11-13" CREATED_BY="dbuni" NAME="test-case10" PROJECT_ID="-1"/>
<TEST_CASE TCLN_ID="-10" PREREQUISITE="" TA_TEST="-1" EXECUTION_MODE="MANUAL" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1"/>
<TCLN_RELATIONSHIP DESCENDANT_ID="-10" ANCESTOR_ID="-1" CONTENT_ORDER="0"/>
<CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-10" CFV_ID="-1" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-1" VALUE="tc-10-cuf1" FIELD_TYPE="CF" CF_ID="-1"/>
<CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-10" CFV_ID="-2" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-3" VALUE="tc-10-cuf2" FIELD_TYPE="CF" CF_ID="-2"/>

<!-- TEST-CASE 11 -->
<TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-7" TCLN_ID="-11" CREATED_ON="2012-11-13" CREATED_BY="dbunit" NAME="test-case11" PROJECT_ID="-1"/>
<TEST_CASE TCLN_ID="-11" PREREQUISITE="" TA_TEST="-2" EXECUTION_MODE="MANUAL" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa2"/>
<TCLN_RELATIONSHIP DESCENDANT_ID="-11" ANCESTOR_ID="-1" CONTENT_ORDER="1"/>

<CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-11" CFV_ID="-5" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-1" VALUE="tc-11-cuf1" FIELD_TYPE="CF" CF_ID="-1"/>
<CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-11" CFV_ID="-6" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-3" VALUE="tc-11-cuf2" FIELD_TYPE="CF" CF_ID="-2"/>

<!-- FOLDER 2 -->
<TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-8" TCLN_ID="-2" CREATED_ON="2012-03-02" CREATED_BY="dbunit" NAME="folder 2" PROJECT_ID="-2"/>
<TEST_CASE_FOLDER TCLN_ID="-2"/>
<TEST_CASE_LIBRARY_CONTENT CONTENT_ID="-2" LIBRARY_ID="-2" CONTENT_ORDER="0"/>
<CUSTOM_FIELD_VALUE CFV_ID="-7" BOUND_ENTITY_ID="-2" BOUND_ENTITY_TYPE="TESTCASE_FOLDER" CFB_ID="-6" VALUE="folder-2-cuf1" FIELD_TYPE="CF" CF_ID="-1"/>

<TEST_CASE_LIBRARY_NODE/>
<TEST_CASE_FOLDER/>
<TEST_CASE/>
</dataset>
